﻿.six-grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    justify-content: center;
    gap: 10px;
    width: 95%;
    margin: 0 auto;
}

/* Force 6 columns to fit on TVs */
@media (max-width: 1233px) and (min-width: 1061px) {

    .six-grid {
        width: 90%;
        gap: 6px;
    }

    .block {
        padding: 10px 12px;
    }

        .block h2 {
            font-size: 1.05rem;
            margin-bottom: 8px;
        }

    .top5-table thead th,
    .top5-table tbody td {
        padding: 6px 6px;
        font-size: 0.8rem;
    }

    .top5-table th:nth-child(1),
    .top5-table td:nth-child(1) {
        width: 40px;
    }

    .top5-table th:nth-child(3),
    .top5-table td:nth-child(3) {
        width: 70px;
    }

    .top5-table td:nth-child(3) {
        font-size: 0.85rem;
    }
}


/* TABLETS */
@media (min-width: 768px) and (max-width: 1060px) {
    .six-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* PHONES */
@media (max-width: 768px) {
    .six-grid {
        grid-template-columns: 1fr;
    }
}





/* ============================
   BLOCK/LIST STYLES
   ============================ */

.block {
    background: #1e1e1e;
    border-radius: 10px;
    padding: 15px 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.4);
    display: flex;
    flex-direction: column;
}

    .block h2 {
        margin: 0 0 12px;
        font-size: 1.3rem;
        color: white;
        border-bottom: 1px solid #333;
        padding-bottom: 6px;
        text-align: center;
    }

.block-list {
    list-style: none;
    padding: 0;
    margin: 0;
    flex-grow: 1;
}

    .block-list li {
        display: flex;
        align-items: center;
        padding: 8px 12px;
        margin-bottom: 8px;
        border-bottom: 1px solid #333;
        font-size: 1.05rem;
        gap: 4px;
        background: #2a2a2a;
        border-radius: 4px;
        border: 1px solid #444;
        font-size: 0.85rem;
    }

        /*.block-list li:last-child {
            border-bottom: none;
        }*/

        .block-list li .place {
            width: 20px;
            text-align: left;
            flex-shrink: 0;
        }

        .block-list li .name {
            flex: 1;
            min-width: 0;
            text-align: center;
            white-space: normal; 
            word-break: normal;
            max-width: 100%;
        }

        .block-list li .score {
            width: 60px;
            text-align: right;
            white-space: nowrap;
            color: #28a2a2;
            font-weight: bold;
            flex-shrink: 0;
        }